#!/usr/bin/env python3

import sys
import time
import serial
import matplotlib.pyplot as plt


def main():
    ser = serial.Serial(sys.argv[1])


    short_term = []
    long_term = []

    while True:
        ser.write(b"?")

        line = ser.readline()
        line = line.strip()

        f1, f2 = line.split(b'|')
        short_term += [float(f1)]
        long_term += [float(f2)]

        print(float(f2))

        plt.clf()
        plt.ylim((10 - 0.000_001, 10 + 0.000_001))
        plt.plot(short_term)
        plt.plot(long_term)
        plt.draw()
        plt.pause(1.0)


if __name__ == '__main__':
    main()